GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
gtk/gtkdatabox_points.c File Reference
`#include <gtkdatabox_points.h>`
Include dependency graph for gtkdatabox_points.c:

## Data Structures

struct | _GtkDataboxPointsPrivate

## Functions

GType | gtk_databox_points_get_type (void)
GtkDataboxGraph * | gtk_databox_points_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, gint size)

## Function Documentation

GType gtk_databox_points_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_points_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | gint | size
| ) |  |

gtk_databox_points_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxPoints object which can be added to a GtkDatabox widget.

Return value: A new GtkDataboxPoints object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines